OutOfOffHeapMemoryException (Apache Geode 1.13.6)
Date: 2021-12-14

org.apache.geode

## Class OutOfOffHeapMemoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.CancelException
            - - org.apache.geode.OutOfOffHeapMemoryException

- All Implemented Interfaces:
    Serializable

      public class OutOfOffHeapMemoryException
      extends CancelException

  Indicates that attempts to allocate more objects in off-heap memory has failed and the Cache will be closed to prevent it from losing distributed consistency.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutOfOffHeapMemoryException()` Constructs an `OutOfOffHeapMemoryError` with no detail message.
    `OutOfOffHeapMemoryException(String message)` Constructs an `OutOfOffHeapMemoryError` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OutOfOffHeapMemoryException

          public OutOfOffHeapMemoryException()

      Constructs an `OutOfOffHeapMemoryError` with no detail message.

    - #### OutOfOffHeapMemoryException

          public OutOfOffHeapMemoryException(String message)

      Constructs an `OutOfOffHeapMemoryError` with the specified detail message.
      Parameters:
        `message` - the detail message.